package com.hh.arome.bean.ampe;

public class AmpeAppletResultBean {


    private String action;
    private String event;
    private String taskId;
    private boolean success;
    private String message;
    private Data data;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }

    public static class Data {
        // 二维码
        private String qrCode;


        // -----------身份证，刷脸共同的---------begin
        private String name;
        private String idNum;
        // -----------身份证，刷脸共同的---------begin

        // -----------刷脸-用户三要素---------begin
//        private String authCode;
//        private String fToken;
        String userId;
        String mobile;
        String avatar;
        // -----------刷脸-用户三要素--------end


        // -----------刷脸-支付宝结果---------begin
        String alipayUid;
        Integer code = null;
        String extInfo;
        String ftoken;
        Boolean isvResult = null;
        String subCode;
        String subMessage;
        String vid;


        // -----------刷脸-支付宝结果---------end

        // -----------身份证---------begin
        String signingOrganization;
        String address;
        String nation;
        String sex;
        String beginTime;
        String endTime;
        String birthDate;
        String photoBase64;
        // -----------身份证---------end

        // -----------设备信息---------begin
        String sn;
        // 设备型号
        String deviceModel;
        // app版本号
        String appVersion;
        // android版本
        String androidVersion;
        // ip
        String deviceIP;
        // 设备固件号
        String deviceDisplay;
        // -----------设备信息---------end


        public String getAlipayUid() {
            return alipayUid;
        }

        public void setAlipayUid(String alipayUid) {
            this.alipayUid = alipayUid;
        }

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }

        public String getExtInfo() {
            return extInfo;
        }

        public void setExtInfo(String extInfo) {
            this.extInfo = extInfo;
        }

        public String getFtoken() {
            return ftoken;
        }

        public void setFtoken(String ftoken) {
            this.ftoken = ftoken;
        }

        public Boolean isIsvResult() {
            return isvResult;
        }

        public void setIsvResult(Boolean isvResult) {
            this.isvResult = isvResult;
        }

        public String getSubCode() {
            return subCode;
        }

        public void setSubCode(String subCode) {
            this.subCode = subCode;
        }

        public String getSubMessage() {
            return subMessage;
        }

        public void setSubMessage(String subMessage) {
            this.subMessage = subMessage;
        }

        public String getVid() {
            return vid;
        }

        public void setVid(String vid) {
            this.vid = vid;
        }

        public String getDeviceDisplay() {
            return deviceDisplay;
        }

        public void setDeviceDisplay(String deviceDisplay) {
            this.deviceDisplay = deviceDisplay;
        }

        public String getSn() {
            return sn;
        }

        public void setSn(String sn) {
            this.sn = sn;
        }


        public String getDeviceModel() {
            return deviceModel;
        }

        public void setDeviceModel(String deviceModel) {
            this.deviceModel = deviceModel;
        }

        public String getAppVersion() {
            return appVersion;
        }

        public void setAppVersion(String appVersion) {
            this.appVersion = appVersion;
        }

        public String getAndroidVersion() {
            return androidVersion;
        }

        public void setAndroidVersion(String androidVersion) {
            this.androidVersion = androidVersion;
        }

        public String getDeviceIP() {
            return deviceIP;
        }

        public void setDeviceIP(String deviceIP) {
            this.deviceIP = deviceIP;
        }

        public String getdeviceDisplay() {
            return deviceDisplay;
        }

        public void setdeviceDisplay(String deviceDisplay) {
            this.deviceDisplay = deviceDisplay;
        }

        public String getQrCode() {
            return qrCode;
        }

        public void setQrCode(String qrCode) {
            this.qrCode = qrCode;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getIdNum() {
            return idNum;
        }

        public void setIdNum(String idNum) {
            this.idNum = idNum;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getSigningOrganization() {
            return signingOrganization;
        }

        public void setSigningOrganization(String signingOrganization) {
            this.signingOrganization = signingOrganization;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getNation() {
            return nation;
        }

        public void setNation(String nation) {
            this.nation = nation;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getBeginTime() {
            return beginTime;
        }

        public void setBeginTime(String beginTime) {
            this.beginTime = beginTime;
        }

        public String getEndTime() {
            return endTime;
        }

        public void setEndTime(String endTime) {
            this.endTime = endTime;
        }

        public String getBirthDate() {
            return birthDate;
        }

        public void setBirthDate(String birthDate) {
            this.birthDate = birthDate;
        }

        public String getPhotoBase64() {
            return photoBase64;
        }

        public void setPhotoBase64(String photoBase64) {
            this.photoBase64 = photoBase64;
        }

        @Override
        public String toString() {
            return "Data{" +
                    "qrCode='" + qrCode + '\'' +
                    ", name='" + name + '\'' +
                    ", idNum='" + idNum + '\'' +
                    ", userId='" + userId + '\'' +
                    ", mobile='" + mobile + '\'' +
                    ", avatar='" + avatar + '\'' +
                    ", alipayUid='" + alipayUid + '\'' +
                    ", code=" + code +
                    ", extInfo='" + extInfo + '\'' +
                    ", ftoken='" + ftoken + '\'' +
                    ", isvResult=" + isvResult +
                    ", subCode='" + subCode + '\'' +
                    ", subMessage='" + subMessage + '\'' +
                    ", vid='" + vid + '\'' +
                    ", signingOrganization='" + signingOrganization + '\'' +
                    ", address='" + address + '\'' +
                    ", nation='" + nation + '\'' +
                    ", sex='" + sex + '\'' +
                    ", beginTime='" + beginTime + '\'' +
                    ", endTime='" + endTime + '\'' +
                    ", birthDate='" + birthDate + '\'' +
                    ", photoBase64='" + photoBase64 + '\'' +
                    ", sn='" + sn + '\'' +
                    ", deviceModel='" + deviceModel + '\'' +
                    ", appVersion='" + appVersion + '\'' +
                    ", androidVersion='" + androidVersion + '\'' +
                    ", deviceIP='" + deviceIP + '\'' +
                    ", deviceDisplay='" + deviceDisplay + '\'' +
                    '}';
        }
    }


    @Override
    public String toString() {
        return "AmpeAppletResultBean{" +
                "action='" + action + '\'' +
                ", event='" + event + '\'' +
                ", taskId='" + taskId + '\'' +
                ", success=" + success +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}
